import { client } from "@/trigger";
import { Database } from "@/supabase-types";
import { SupabaseManagement } from "@trigger.dev/supabase";

const supabase = new SupabaseManagement({
  id: "jokullbase-sanity-check",
});

const db = supabase.db<Database>(process.env.NEXT_PUBLIC_SUPABASE_URL!);

client.defineJob({
  id: "on-new-todos",
  name: "On New Todos",
  version: "0.1.1",
  trigger: db.onInserted({
    table: 'potential_arrivals',
  }),
  run: async (payload, io, ctx) => {
    console.log(payload);
  },
});
